public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Marius Brehler" <marbre@linux.sungazer.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: dev-python/nbformat/
Date: Tue,  6 Oct 2015 21:20:09 +0000 (UTC)	[thread overview]
Message-ID: <1444166171.9a88502c1d3528899f000f1bf52691a1ad4c3d75.marbre@gentoo> (raw)

commit:     9a88502c1d3528899f000f1bf52691a1ad4c3d75
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Tue Oct  6 21:16:11 2015 +0000
Commit:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
CommitDate: Tue Oct  6 21:16:11 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=9a88502c

dev-python/nbformat: Version bump

Package-Manager: portage-2.2.20.1

 dev-python/nbformat/ChangeLog             |  5 +++
 dev-python/nbformat/nbformat-4.0.1.ebuild | 59 +++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-python/nbformat/ChangeLog b/dev-python/nbformat/ChangeLog
index 1fc6362..934c6c2 100644
--- a/dev-python/nbformat/ChangeLog
+++ b/dev-python/nbformat/ChangeLog
@@ -2,6 +2,11 @@
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Id$
 
+*nbformat-4.0.1 (06 Oct 2015)
+
+  06 Oct 2015; Marius Brehler <marbre@linux.sungazer.de> +nbformat-4.0.1.ebuild:
+  dev-python/nbformat: Version bump
+
   21 Sep 2015; Marius Brehler <marbre@linux.sungazer.de> nbformat-9999.ebuild:
   dev-python/nbformat: Add ~x86 to KEYWORDS
 

diff --git a/dev-python/nbformat/nbformat-4.0.1.ebuild b/dev-python/nbformat/nbformat-4.0.1.ebuild
new file mode 100644
index 0000000..cc116c0
--- /dev/null
+++ b/dev-python/nbformat/nbformat-4.0.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python{3_3,3_4} )
+PYTHON_REQ_USE='sqlite'
+
+inherit distutils-r1
+
+DESCRIPTION="Reference implementation of the Jupyter Notebook format"
+HOMEPAGE="http://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="doc test"
+
+RDEPEND="
+	dev-python/jsonschema[${PYTHON_USEDEP}]
+	dev-python/ipython_genutils[${PYTHON_USEDEP}]
+	dev-python/traitlets[${PYTHON_USEDEP}]
+	dev-python/jupyter_core[${PYTHON_USEDEP}]
+	"
+DEPEND="${RDEPEND}
+	doc? (
+		dev-python/sphinx[${PYTHON_USEDEP}]
+		dev-python/numpydoc[${PYTHON_USEDEP}]
+	)
+	test? (
+		dev-python/nose[${PYTHON_USEDEP}]
+		dev-python/coverage[${PYTHON_USEDEP}]
+	)
+	"
+
+python_prepare_all() {
+	# Prevent un-needed download during build
+	if use doc; then
+		sed -e "/^    'sphinx.ext.intersphinx',/d" -i docs/conf.py || die
+	fi
+
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	use doc && emake -C docs html
+}
+
+python_test() {
+	distutils_install_for_testing
+	cd "${TEST_DIR}"/lib || die
+	nosetests --with-coverage --cover-package=nbformat nbformat || die
+}
+
+python_install_all() {
+	use doc && HTML_DOCS=( docs/_build/html/. )
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2015-10-06 21:20 UTC|newest]

Thread overview: 10+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-10-06 21:20 Marius Brehler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-09-21 23:40 [gentoo-commits] proj/sci:master commit in: dev-python/nbformat/ Aisha Tammy
2017-01-03 10:33 Marius Brehler
2017-01-03 10:30 Marius Brehler
2015-11-28 17:58 Marius Brehler
2015-10-21 13:44 Justin Lecher
2015-09-23 10:19 Justin Lecher
2015-09-21 19:05 Justin Lecher
2015-09-04  5:46 Justin Lecher
2015-09-01  7:57 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1444166171.9a88502c1d3528899f000f1bf52691a1ad4c3d75.marbre@gentoo \
    --to=marbre@linux.sungazer.de \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox